=== debian/control ===
Source: ros-kinetic-turtlesim
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), qt5-qmake, qtbase5-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslib, ros-kinetic-rostime, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-kinetic-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslib, ros-kinetic-rostime, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Description: turtlesim is a tool made for teaching ROS and ROS packages.
